proofgeneral (4.4.1~pre170114-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on texlive-plain-generic instead of
    texlive-generic-recommended. Thanks to Steve Langasek for
    patch. (Closes: #941544)

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 16 Dec 2019 17:50:59 +0100

proofgeneral (4.4.1~pre170114-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Switch to unversioned emacs-gtk package (Closes: #880285)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jul 2019 10:15:05 +0200

proofgeneral (4.4.1~pre170114-1) unstable; urgency=medium

  * Imported Upstream version 4.4.1~pre170114
    git hash 6d1f608c6e7c39eff89b9461a2f4ea7ff1b19899
  * fix lintian copyright issue
  * add patch fix-coqtags and install coqtags
  * add emacsen compat file (Closes: #758968)
  * add patch desktop-keyword-entry for desktop-entry-lacks-keywords-entry
    lintian warning
  * disable StartupWMClass towards a solution of #746466
  * fix emacs warning inside emacsen-install

 -- Hendrik Tews <hendrik@askra.de>  Mon, 16 Jan 2017 17:30:55 +0100

proofgeneral (4.4.1~pre161230-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Make package work with emacs24 or emacs25 (Closes: #846990).
  * debian/control: Remove ${shlib:Depends} for package proofgeneral.
  * Drop debian/menu, following tech-ctte decision on #741573.
  * debian/README.Debian: Remove special note about prooftree, which
    is now a proper Debian package, and added HOL Light as prover.
  * debian/*: Adapt to new upstream home at github.
  * debian/patches/:
    - drop smartly-enable-prooftree
    - restrict-installed-provers.patch: added hol-light as prover
    - refresh all others

 -- Richard B. Kreckel <kreckel@debian.org>  Fri, 30 Dec 2016 22:22:22 +0100

proofgeneral (4.3~pre131011-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove {build,runtime} alternative dependencies on emacs23*:
    Emacs 23 is not in testing/sid anymore, and sbuild always picks
    the first alternative, which made the package FTBFS (Closes: #768619).

 -- intrigeri <intrigeri@debian.org>  Sun, 16 Nov 2014 17:46:59 +0100

proofgeneral (4.3~pre131011-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
  * debian/patches
    - drop fix-texinfo-5-1-bug.patch: unnecessary anymore
    - drop pg-image-bug.patch: unnecessary (cause FTBFS)

 -- Hideki Yamane <henrich@debian.org>  Tue, 12 Aug 2014 22:03:50 +0900

proofgeneral (4.3~pre130510-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - add "Build-Depends: texlive-fonts-recommended" to fix FTBFS
     (Closes: #738392)
    - remove unnecessary "Build-Depends: texi2html" due to transtion
      (see https://wiki.debian.org/Texi2htmlTransition)
  * debian/patches
    - add transition_to_makeinfo.patch to use makeinfo, instead of texi2html
  * also update debian/proofgeneral-doc.doc-base to deal with changes with
    above

 -- Hideki Yamane <henrich@debian.org>  Sat, 15 Feb 2014 19:57:15 +0900

proofgeneral (4.3~pre130510-1) unstable; urgency=low

  * New upstream release (Closes: #707331)
  * improve watch file (thanks to Bart Martens for the uversionmangle hint)
  * add new patch to install coq example and add hint in tutorial 
    (Closes: #687977) 
  * add new patch fix-texinfo-5-1-bug to fix a problem with texinfo 5.1
  * add new patch pg-image-bug to rename ProofGeneral.jpg
  * permit emacs24
  * update README.Debian
  * bump standards version to 3.9.4
  * debhelper compat level 9

 -- Hendrik Tews <hendrik@askra.de>  Wed, 15 May 2013 17:11:19 +0200

proofgeneral (4.2~pre120605-2) unstable; urgency=low

  * add Breaks and Replaces dependencies for proofgeneral-doc (Closes: #694285)
  * delete wrong info in README.Debian

 -- Hendrik Tews <hendrik@askra.de>  Tue, 04 Dec 2012 14:50:27 +0100

proofgeneral (4.2~pre120605-1) unstable; urgency=low

  * New upstream release (Closes: #669318)
  * fix byte-compile-error-on-warn in emacsen-install, --no-site-file has
    been dropped already in 4.2~pre120411-2 (Closes: #671583)
  * use debian-emacs-flavor in emacsen-startup (see #662163)
  * delete patch disable-proof-tree, add patch smartly-enable-prooftree
    for enabling prooftree if Coq >= 8.4beta is detected
  * fix package description
  * add hints on Prooftree and incompatibility with manual Coq
    installations to README.Debian
  * new patch for using debian-pkg-add-load-path-item (see #670339), but
    don't use it, because debian-pkg-add-load-path-item breaks Proof
    General, see #676424

 -- Hendrik Tews <hendrik@askra.de>  Wed, 06 Jun 2012 23:12:58 +0200

proofgeneral (4.2~pre120411-2) unstable; urgency=low

  * link el files into ELCDIR (Closes: #670341)
  * link image files in emacsen-install
  * fix flavor in emacsen-startup (see #662163)

 -- Hendrik Tews <hendrik@askra.de>  Wed, 25 Apr 2012 22:57:47 +0200

proofgeneral (4.2~pre120411-1) unstable; urgency=low

  * New upstream release
  * remove 3 patches that have been applied upstream

 -- Hendrik Tews <hendrik@askra.de>  Sat, 21 Apr 2012 23:28:59 +0200

proofgeneral (4.2~pre120206-1) unstable; urgency=low

  * new upstream prerelease (Closes: #642048)
  * moved to section editors 
  * standards version 3.9.3
  * fix compilation with emacs-nox (Closes: #660353)
  * don't support broken PhoX anymore (Closes: #544436)

 -- Hendrik Tews <hendrik@askra.de>  Tue, 28 Feb 2012 12:53:12 +0100

proofgeneral (4.2~pre120112-1) unstable; urgency=low

  * adopting proofgeneral (Closes: #554263)
  * restart packaging from scratch (Closes: #626589)
    This new Proof General package has not much in common with the old
    one:
    - source package format 3.0 (quilt)
    - only two binary packages: proofgeneral and proofgeneral-doc
    - no support for Isabelle/Hol or Isar, because Isabelle is packaged
      with its own custom version of Proof General (Closes: #252721)
    - no support for minlog because it is not present upstream 
      (Closes: #613779)
    - support only Coq and PhoX
    - no debconf, proofgeneral is always installed site-wide (Closes: #452824)
    - only support emacs23, because upstream only supports emacs23
      (Closes: #520566)
    The old changelog file is appended below.

 -- Hendrik Tews <hendrik@askra.de>  Thu, 12 Jan 2012 21:15:51 +0100

proofgeneral (3.7-4) unstable; urgency=low

  * QA upload
  * Use Debian QQA as maintainer. Closes: #554263
  * Danish debconf translation update. Closes: #592274

 -- Christian Perrier <bubulle@debian.org>  Mon, 11 Oct 2010 21:47:36 +0200

proofgeneral (3.7-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Trivial lintian fixes:
    - Add ${misc:Depends} to binary packages dependencies
      so that debhelper-triggered dependencies are properly
      added at build time.
    - Bump debhelper compatibility to 7
    - Replace calls to deprecated "dh_clean -k" by dh_prep
    - Have copyright file refer to the versioned GPL-2
      license file
    - Drop calls to install-info to register info pages as
      this is now handled by triggers
    - As a consequence, drop the now empty proofgeneral.prerm
      script
    - No longer ignore errors in proofgeneral.postinst,
       proofgeneral.presinst and proofgeneral.config (use "set -e")
    - Add dependency on "dpkg (>= 1.15.4) | install-info"
      to properly ihandle info documents installation
  * Fix pending l10n issues. Debconf translations:
    - Swedish (Martin Bagge).  Closes: #504034
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #510721
    - Spanish (Fernando González de Requena).  Closes: #520539
    - Italian (Luca Monducci).  Closes: #546648

 -- Christian Perrier <bubulle@debian.org>  Sat, 19 Sep 2009 07:47:14 +0200

proofgeneral (3.7-3) unstable; urgency=low

  * Fix bin/proofgeneral script:
    - correct lowercase path to the lisp directory. Closes: 473893
    - working -v and --version option which need the PGHOME to work.

 -- Stefan Schimanski <schimmi@debian.org>  Wed, 2 Apr 2008 11:41:10 +0100

proofgeneral (3.7-2) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #450681
  * [Debconf translation updates]
    - Galician. Closes: #451163
    - Portuguese. Closes: #451170
    - Finnish. Closes: #451280
    - German. Closes: #451761
    - Czech. Closes: #451832
    - French. Closes: #452809
    - Dutch. Closes: #452951
    - Russian. Closes: #453317
    - Vietnamese. Closes: #453650
  * [Lintian] Insert correct copyright in debian/copyright

 -- Stefan Schimanski <schimmi@debian.org>  Wed, 19 Mar 2008 19:25:44 +0200


proofgeneral (3.5-6) unstable; urgency=low

  * Removed support for mzscheme <300
  * Only use one startup script for all emacs versions
  * Added nl translation. Closes: 418390
  * Moved to menu section Applications/Science/Mathematics

 -- Stefan Schimanski <schimmi@debian.org>  Sun, 21 Oct 2007 17:36:26 +0200

proofgeneral (3.5-5) unstable; urgency=low

  * Fix emacs dependencies. Emacs22 is current now in sid. Closes: 434975, 403147

 -- Stefan Schimanski <schimmi@debian.org>  Sun, 07 Oct 2007 23:03:21 +0200

proofgeneral (3.5-4.1) unstable; urgency=low

  * Non-maintainer upload to fix an RC bug
  * Move debhelper and mzscheme to Build-Depends. Closes: 403572
    Lintian warnings are things that should be taken seriously.
  * Lintian fixes:
    - Remove useless CVS directory minlog/CVS
    - Use 4 as debhelper compatibility (through debian/compat)  

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Dec 2006 08:27:28 +0100

proofgeneral (3.5-4) unstable; urgency=low

  * Added support for Minlog
  * Do not load proof-site.el automatically anymore, but instead 
    install an interactive function "proofgeneral". It then loads
    the ProofGeneral and, most importantly, assign the file extension
    to ProofGeneral. Closes: #260074,#176921
  
 -- Stefan Schimanski <schimmi@debian.org>  Wed, 6 Dec 2006 21:47:30 +0200
  
proofgeneral (3.5-3.1) unstable; urgency=low

  * Non maintainer upload to fix longstanding l10n issues
  * Add debconf-2.0 as alternative to debconf. Closes: #332077
  * Debconf templates translations:
    - Added Vietnamese. Closes: #317611
    - Added Japasese. Closes: #288029
    - Added Czech. Closes: #308466
    - Added Swedish. Closes: #332359
    - Added Brazilian Portuguese. Sent during the call for updates of the NMU.
    - Added Russian. Sent during the call for updates of the NMU.
    - Added Portuguese. Sent during the call for updates of the NMU.
    - Added German. Sent during the call for updates of the NMU.

 -- Christian Perrier <bubulle@debian.org>  Sat,  7 Oct 2006 00:33:05 +0200

proofgeneral (3.5-3) unstable; urgency=low

  * Updated maintainer email address.

 -- Stefan Schimanski <schimmi@debian.org>  Fri, 20 Aug 2004 14:38:30 +0200

proofgeneral (3.5-2) unstable; urgency=low

  * Fixed info path (closes: #215126)
  * Fixed typos (closes: #239005)
  * Fixed url to ProofGeneral homepage (closes: #262636)
  * This is 3.5 (closes #247854)
  * Load ~/.proofgeneral if available from proofgeneral script (closes #252252)

 -- Stefan Schimanski <schimmi@debian.org>  Fri, 20 Aug 2004 14:18:46 +0200

proofgeneral (3.5-1) unstable; urgency=low

  * New upstream release.

 -- Stefan Schimanski <schimmi@debian.org>  Mon, 20 Aug 2004 13:40:30 +0200

proofgeneral (3.4-14) unstable; urgency=low

  * Added french translation for the debconf templates (thanks to Michel 
    Grentzinger, closes: #207869).

 -- Stefan Schimanski <schimmi@debian.org>  Sat, 30 Aug 2003 13:46:20 +0200

proofgeneral (3.4-13) unstable; urgency=low

  * Changed debhelper dependency to 4.1.16.
  * Prepared for translations (thanks to Michel Grentzinger, closes: #207106).
  * Increased policy standard.
  * Fixed icon colors.

 -- Stefan Schimanski <schimmi@debian.org>  Mon, 25 Aug 2003 13:00:21 +0200

proofgeneral (3.4-12) unstable; urgency=low

  * Added note about remove behaviour to startup files.
  * Symlink the xemacs21 startup file to the emacs21 startup file as
    they are the same anyway.

 -- Stefan Schimanski <schimmi@kde.org>  Mon, 30 Sep 2002 21:43:08 +0200

proofgeneral (3.4-11) unstable; urgency=medium

  * Remove old startup files from 3.4-x, x<10 versions (closes: Bug#162354).
  * Ask with debconf wether Proof General should be loaded automatically
    on Emacs startup.

 -- Stefan Schimanski <schimmi@kde.org>  Thu, 26 Sep 2002 23:35:08 +0200

proofgeneral (3.4-10) unstable; urgency=low

  * Install startup file 50proofgeneral only for support flavors, not
    into a general place (closes: Bug #162354).
  * Fix the 50proofgeneral startup file to use the correct path.
  * Documented the EMACS variable in the proofgeneral manual page.

 -- Stefan Schimanski <schimmi@kde.org>  Thu, 26 Sep 2002 02:18:52 +0200

proofgeneral (3.4-9) unstable; urgency=low

  * Fixed naming of toolbar icons for xemacs.

 -- Stefan Schimanski <schimmi@kde.org>  Tue, 24 Sep 2002 19:21:48 +0200

proofgeneral (3.4-8) unstable; urgency=low

  * Fixed appearing proofgeneral icons in the default emacs21 toolbar.
  
 -- Stefan Schimanski <schimmi@kde.org>  Sun, 22 Sep 2002 12:56:37 +0200

proofgeneral (3.4-7) unstable; urgency=low

  * Install to /usr/share/emacs/site-lisp/proofgeneral.

 -- Stefan Schimanski <schimmi@kde.org>  Sun, 15 Sep 2002 14:15:24 +0200

proofgeneral (3.4-6) unstable; urgency=low

  * Added symlinks to proofgeneral.info* and proofgeneral-adapting.info*.
  * Removed build deps for imagemagic and emacsen.
  * Install to /usr/share/emacs/proofgeneral.

 -- Stefan Schimanski <schimmi@kde.org>  Sat, 14 Sep 2002 23:00:37 +0200

proofgeneral (3.4-5) unstable; urgency=low

  * Fixed icon for menu.

 -- Stefan Schimanski <schimmi@kde.org>  Sat, 14 Sep 2002 13:30:03 +0200

proofgeneral (3.4-4) unstable; urgency=low

  * Updated manpages.
  * Added full path name to Proof General archive in debian/copyright.

 -- Stefan Schimanski <schimmi@kde.org>  Fri, 13 Sep 2002 21:36:11 +0200

proofgeneral (3.4-3) unstable; urgency=low

  * Install info files into section Emacs.
  * Updated manpages.
  * Enhanced copyright file.
  * Build-Depends -> Build-Depends-Indep in debian/control.
  * Package descriptions improved.
  * proofgeneral-coq no long depends on, but only recommends coq.
  * Pregenerated proofgeneral.xpm instead of build-time generation.

 -- Stefan Schimanski <schimmi@kde.org>  Fri, 13 Sep 2002 00:42:45 +0200

proofgeneral (3.4-2) unstable; urgency=low

  * Create proper source package.
  * Added newline in proofgeneral.emacsen-startup.
  * Use color map for menu icon from /usr/share/pixmaps/cmap.xpm which
    seems to be the default in newest menu package.
  * Added manual pages proofgeneral(1), isartags(1), coqtags(1), legotags(1).

 -- Stefan Schimanski <schimmi@kde.org>  Wed,  4 Sep 2002 17:15:20 +0200

proofgeneral (3.4-1) unstable; urgency=low

  * Initial Release.

 -- Stefan Schimanski <schimmi@kde.org>  Tue, 03 Sep 2002 11:55:15 +0200

